import { ExtensionsDataSource } from "../../shared/framework";
import { LinkPreviewConfigurationInterface } from "./LinkPreviewConfiguration";
export declare class LinkPreviewExtention implements ExtensionsDataSource {
    linkPreviewConfiguration: LinkPreviewConfigurationInterface;
    constructor(linkPreviewConfiguration?: LinkPreviewConfigurationInterface);
    enable(): void;
}
